CFRunLoop Reference

## Detailed Description

## Typedefs

typedef struct __CFRunLoop * | CFRunLoopRef
typedef int | mach_port_t

## Enumerations

enum | { kCFRunLoopRunFinished = 1 , kCFRunLoopRunStopped = 2 , kCFRunLoopRunTimedOut = 3 , kCFRunLoopRunHandledSource = 4 }

## Variables

const CFStringRef | kCFRunLoopCommonModes
const CFStringRef | kCFRunLoopDefaultMode

## Getting the CFRunLoop Type ID

CFTypeID | CFRunLoopGetTypeID (void)

## Getting a Run Loop

CFRunLoopRef | CFRunLoopGetCurrent (void)
CFRunLoopRef | CFRunLoopGetMain (void)

## Starting and Stopping a Run Loop

void | CFRunLoopRun (void)
SInt32 | CFRunLoopRunInMode (CFStringRef mode, CFTimeInterval seconds, Boolean returnAfterSourceHandled)
void | CFRunLoopWakeUp (CFRunLoopRef rl)
void | CFRunLoopStop (CFRunLoopRef rl)
Boolean | CFRunLoopIsWaiting (CFRunLoopRef rl)

## Managing Run Loop Modes

void | CFRunLoopAddCommonMode (CFRunLoopRef rl, CFStringRef mode)
CFArrayRef | CFRunLoopCopyAllModes (CFRunLoopRef rl)
CFStringRef | CFRunLoopCopyCurrentMode (CFRunLoopRef rl)

## Scheduling Blocks

| DEFINE_BLOCK_TYPE_NO_ARGS (PerformBlockType, void)
void | CFRunLoopPerformBlock (CFRunLoopRef rl, CFTypeRef mode, PerformBlockType block)

## Extensions for NSRunLoop

Boolean | _CFRunLoopHasAnyValidSources (CFRunLoopRef rl, CFStringRef mode)

## Typedef Documentation

## mach_port_t

typedef int mach_port_t

On non-Darwin platforms, we assume ports to be ordinary pollable file descriptors.